メインコンテンツへスキップ
GET
/
files
/
{file_id}
/
tasks
cURL
curl -i -X GET "https://api.box.com/2.0/files/12345/tasks" \
     -H "authorization: Bearer <ACCESS_TOKEN>"
{
  "total_count": 5000,
  "entries": [
    {
      "id": "11446498",
      "type": "task",
      "item": {
        "id": "12345",
        "type": "file",
        "etag": "1",
        "sequence_id": "3",
        "name": "Contract.pdf",
        "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
        "file_version": {
          "id": "12345",
          "type": "file_version",
          "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
        }
      },
      "due_at": "2012-12-12T10:53:43-08:00",
      "action": "review",
      "message": "Legal review",
      "task_assignment_collection": {
        "total_count": 100,
        "entries": [
          {
            "id": "11446498",
            "type": "task_assignment",
            "item": {
              "id": "12345",
              "type": "file",
              "etag": "1",
              "sequence_id": "3",
              "name": "Contract.pdf",
              "sha1": "85136C79CBF9FE36BB9D05D0639C70C265C18D37",
              "file_version": {
                "id": "12345",
                "type": "file_version",
                "sha1": "134b65991ed521fcfe4724b7d814ab8ded5185dc"
              }
            },
            "assigned_to": {
              "id": "11446498",
              "type": "user",
              "name": "Aaron Levie",
              "login": "ceo@example.com"
            },
            "message": "Please review",
            "completed_at": "2012-12-12T10:53:43-08:00",
            "assigned_at": "2012-12-12T10:53:43-08:00",
            "reminded_at": "2012-12-12T10:53:43-08:00",
            "resolution_state": "incomplete",
            "assigned_by": {
              "id": "11446498",
              "type": "user",
              "name": "Aaron Levie",
              "login": "ceo@example.com"
            }
          }
        ]
      },
      "is_completed": true,
      "created_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "completion_rule": "all_assignees"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

file_id
string
必須

ファイルを表す一意の識別子。

ファイルIDを確認するには、ウェブアプリケーションでファイルにアクセスして、URLからIDをコピーします。たとえば、URLがhttps://*.app.box.com/files/123の場合、file_id123です。

レスポンス

ファイルに関連するタスクのリストを返します。

このファイルに関連するタスクが存在しない場合は、空のコレクションが返されます。

タスクのリスト。

total_count
integer<int64>

コレクション全体の最後のエントリのオフセットに1を加算した値。コレクション内のエントリの合計数は、total_countよりも少ない場合があります。

:

5000

entries
Task · object[]

タスクのリスト。